import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)

// 值的存储  获取: this.$store.state.xxxx
const state = {
  windturbineMap: {},
  count:1,
}

//计算state的值  获取: this.$store.getters.xxxx
const getters = {
    getcount(state){
        return state.count +1
    }
}

// 数据更新 使用: this.$store.commit('函数名','val')
const mutations = {
  
  update(state, newData)
  {
    state.windturbineMap = newData
  }
};
// 数据更新-异步 使用: this.$store.dispatch('函数名','val')

const actions = {
  getupdate(context, newData)
  {
    context.commit("update", newData);
  },
};



/** 打印日志 */
function D(text)
{
  console.log(text);
}


const store = new Vuex.Store({
  state,
  mutations,
  actions,
  getters,
});
export default store;